<?php

declare(strict_types = 1);

namespace Drupal\lb_inspector\Inspector;

/**
 * Trait for classes that utilize the plugin.manager.lb_inspector service.
 */
trait LbInspectorPluginManagerAwareTrait {

  /**
   * Get the plugin.manager.lb_inspector service.
   *
   * @return \Drupal\lb_inspector\Inspector\LbInspectorPluginManager
   *   The plugin.manager.lb_inspector service.
   */
  protected function getLbInspectorPluginManager(): LbInspectorPluginManager {
    return \Drupal::service('plugin.manager.lb_inspector');
  }

}
